Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class Card

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.Card

All Implemented Interfaces:
  `Contractable`

public class Card extends Object implements Contractable
Модель "Карта". Это заведённая карта, сущность БД card_{mid}

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Calendar`
  `contractDate`
  `protected int`
  `contractId`
  `protected int`
  `dealerId`
  `protected long`
  `number`
  `protected String`
  `pairingModule`
  `protected Calendar`
  `passDate`
  `protected String`
  `password`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Card()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractComment()`
  `Calendar`
  `getContractDate()`
  `int`
  `getContractId()`
  Возвращает код договора к которому привязан объект.
  `String`
  `getContractTitle()`
  Возвращает название договора
  `int`
  `getDealerId()`
  `String`
  `getDealerTitle()`
  `long`
  `getNumber()`
  `String`
  `getPairingModule()`
  `Calendar`
  `getPassDate()`
  `String`
  `getPassword()`
  `Card`
  `setContractComment(String contractComment)`
  `Card`
  `setContractDate(Calendar contractDate)`
  `Card`
  `setContractId(int contractId)`
  Устанавливает код договора к которому привязан объект.
  `Card`
  `setContractTitle(String contractTitle)`
  Устанавливает название договора
  `Card`
  `setDealerId(int dealerId)`
  `Card`
  `setDealerTitle(String dealerTitle)`
  `Card`
  `setNumber(long number)`
  `Card`
  `setPairingModule(String pairingModule)`
  `Card`
  `setPassDate(Calendar passDate)`
  `Card`
  `setPassword(String password)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### number

    protected long number

  - ### password

    protected String password

  - ### dealerId

    protected int dealerId

  - ### passDate

    protected Calendar passDate

  - ### contractId

    protected int contractId

  - ### contractDate

    protected Calendar contractDate

  - ### pairingModule

    protected String pairingModule

- ## Constructor Details

  - ### Card

    public Card()

- ## Method Details

  - ### getContractComment

    public String getContractComment()

  - ### getContractDate

    public Calendar getContractDate()

  - ### getContractId

    public int getContractId()
    Description copied from interface: `Contractable`
    Возвращает код договора к которому привязан объект.
    Specified by:
      `getContractId` in interface `Contractable`
    Returns:
      код договора

  - ### getContractTitle

    public String getContractTitle()
    Description copied from interface: `Contractable`
    Возвращает название договора
    Specified by:
      `getContractTitle` in interface `Contractable`
    Returns:
      название договора

  - ### getDealerId

    public int getDealerId()

  - ### getDealerTitle

    public String getDealerTitle()

  - ### getNumber

    public long getNumber()

  - ### getPairingModule

    public String getPairingModule()

  - ### getPassDate

    public Calendar getPassDate()

  - ### getPassword

    public String getPassword()

  - ### setContractComment

    public Card setContractComment(String contractComment)

  - ### setContractDate

    public Card setContractDate(Calendar contractDate)

  - ### setContractId

    public Card setContractId(int contractId)
    Description copied from interface: `Contractable`
    Устанавливает код договора к которому привязан объект.
    Specified by:
      `setContractId` in interface `Contractable`
    Parameters:
      `contractId` - код договора

  - ### setContractTitle

    public Card setContractTitle(String contractTitle)
    Description copied from interface: `Contractable`
    Устанавливает название договора
    Specified by:
      `setContractTitle` in interface `Contractable`
    Parameters:
      `contractTitle` - название договора

  - ### setDealerId

    public Card setDealerId(int dealerId)

  - ### setDealerTitle

    public Card setDealerTitle(String dealerTitle)

  - ### setNumber

    public Card setNumber(long number)

  - ### setPairingModule

    public Card setPairingModule(String pairingModule)

  - ### setPassDate

    public Card setPassDate(Calendar passDate)

  - ### setPassword

    public Card setPassword(String password)